//注册失败错误代码
#define WP_RCJ_USERNOTEXISTS		1       //用户ID不存在
#define WP_RCJ_PSWERR				2                //用户密码错误
#define WP_RCJ_USERUSED				3            //当前用户正在使用
#define WP_RCJ_SYSERR				4                 //服务器认证失败，网守在认证该用户时出现错误
#define WP_RCJ_GKBUSY				5                //网守已满载,不能接受该用户的注册 (7-6)
#define WP_RCJ_GKNOTEXISTS			6           //网守还未启动(如果网守设置为调度程序的监听地址,而网守还未启动,则返回该代码 ) 
#define WP_RCJ_USERIDERR			7             //用户号码错误          (7-8)
#define WP_RCJ_USERLOCKED			8            //用户号码被系统锁定    (7-8)
#define WP_RCJ_USERIPLOCKED			9          //用户IP被系统锁定      (7-8)

//挂机原因代码
#define WP_HANGUP_ENDTALK			1             //正常通话结束,被叫先挂机
#define WP_HANGUP_NOTLOGON			2            //网络话机还没有通过网守认证
#define WP_HANGUP_CALLLIMITED		3         //呼叫受限(比如网络话机只开通国内电话，但却呼叫国际电话)
#define WP_HANGUP_NOTENOUGHMONEY	4    //余额不足
#define WP_HANGUP_DATETIMEOUT		5          //日期受限(如包月过期)
#define WP_HANGUP_GWNOTEXISTS		6          //网关还未注册到网守上，找不到网关进行呼叫
#define WP_HANGUP_GKBUSY			7                //网守已处于满负额运行状态,无法处理该呼叫指令
#define WP_HANGUP_GWBUSY			8                //网关已满载,没有能力接收该呼叫(比如网关所有中继都已被占用)
#define WP_HANGUP_GKERR				9                 //网守处理请求时出现错误,呼叫失败
#define WP_HANGUP_GWERR				10                //网关处理呼叫请求时出现错误，呼叫失败
#define WP_HANGUP_GWCODECERR		11          //话络话机的音频编码能力集网关不支持
#define WP_HANGUP_CH_BUSY			12              //被叫电话忙
#define WP_HANGUP_CH_NOTEXISTS		13         //被叫号码为空号
#define WP_HANGUP_CH_ERR			14                //网关无法呼通该号码，即中继呼出错误(比如:被叫用户线故障)
#define	WP_HANGUP_PHNUMERR			15             //电话号码格式错误  (7-6添加)
#define WP_HANGUP_CLIENTUNKNOW		16     //网关无法知道客户端的IP及端口
#define	WP_HANGUP_CLIENTCODECERR	17     //客户端音频能力错误(比如值为0)
#define	WP_HANGUP_IPLOCKED			18     //IP受限
#define	WP_HANGUP_USERTYPEUNKNOW	19     //用户类型未知
#define	WP_HANGUP_NOTPHUSER			20     //该用户还未开通固定电话功能  

#ifdef __cplusplus
extern "C" {
#endif

	void	WpStartup();
	void	WpInitialize();
	void	WpLogon();
	void	WpLogoff();
	BOOLEAN	WpCall();
	void	WpAnswerCall(BOOLEAN bAnswer);
	void	WpHangup();
	void	WpConnect();
	void	WpHandleTimer();
	void	WpSendDtmfKeys(PXCHAR pKeyBuf, UCHAR iLen);

	BOOLEAN	WpRunTcp();

	BOOLEAN WpRunUdp();		

	void	WpSendVoice(UCHAR iLength, PXCHAR pData);

#ifdef __cplusplus
}
#endif
